Skip to main content
GET
/
core
/
syncs
/
jobs
/
{job_id}
Get Job
curl --request GET \
  --url https://api.rootfi.dev/v3/core/syncs/jobs/{job_id} \
  --header 'api_key: <api-key>'
import requests

url = "https://api.rootfi.dev/v3/core/syncs/jobs/{job_id}"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.rootfi.dev/v3/core/syncs/jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "rootfi_id": 1,
    "rootfi_created_at": "2021-08-31T18:00:00Z",
    "rootfi_updated_at": "2021-08-31T18:00:00Z",
    "rootfi_company_id": 1,
    "start_time": "2021-08-31T18:00:00Z",
    "end_time": "2021-08-31T18:00:00Z",
    "integration_type": "XERO",
    "status": "SUCCESS",
    "data_model": "ACCOUNTS",
    "config_mode": "READ",
    "sync_id": "VmaVgKMaiygMzTK1",
    "parent_job_id": "VmaVgKMaiygMzTK1",
    "retry_count": 0,
    "priority": 0,
    "variables": {},
    "error": {},
    "config_id": "VmaVgKMaiygMzTK1",
    "job_type": "PUSH",
    "response_length": 0,
    "response_size": 0,
    "rate_limit_sleep_time": 0
  }
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}
{
"error": {
"message": "<string>",
"code": "<string>",
"field": "<string>"
}
}

Authorizations

api_key
string
header
required

Path Parameters

job_id
string
required

The ID of the job to retrieve

Response

The data of the job endpoint

data
coreJobData · object
required

The data of the job endpoint